Bug 1777889 - error: ‘__SNR_ppoll’ undeclared here
Summary: error: ‘__SNR_ppoll’ undeclared here
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libseccomp
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-28 15:37 UTC by Dr. David Alan Gilbert
Modified: 2020-01-04 22:14 UTC (History)
2 users (show)

Fixed In Version: libseccomp-2.4.2-2.fc31 libseccomp-2.4.2-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-19 01:23:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Dr. David Alan Gilbert 2019-11-28 15:37:51 UTC
Description of problem:
The recent 2.4.2-1 update broke SCOMP_SYS(ppoll)
See upstream: https://github.com/seccomp/libseccomp/pull/186

Version-Release number of selected component (if applicable):
2.4.2-1

How reproducible:
100%

Steps to Reproduce:
1. Use  SCMP_SYS(ppoll) in a program
2.
3.

Actual results:
error: ‘__SNR_ppoll’ undeclared here (not in a function)

Expected results:
A happy build

Additional info:

Comment 1 Nikos Mavrogiannopoulos 2019-12-15 20:33:20 UTC
That change breaks ocserv's CI.

The fix is on upstream:
https://github.com/seccomp/libseccomp/commit/e3647f5b6b52996bf30d0c2c1d1248e4182e1c1c

Comment 2 Neal Gompa 2019-12-17 01:02:28 UTC
This is breaking my rebase of apt as well... :(

Comment 3 Fedora Update System 2019-12-17 02:59:00 UTC
FEDORA-2019-e531f61d41 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e531f61d41

Comment 4 Fedora Update System 2019-12-18 01:25:19 UTC
libseccomp-2.4.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7e2079c323

Comment 5 Fedora Update System 2019-12-18 02:08:39 UTC
libseccomp-2.4.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e531f61d41

Comment 6 Fedora Update System 2019-12-19 01:23:17 UTC
libseccomp-2.4.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-01-04 22:14:51 UTC
libseccomp-2.4.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.